We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

PHP Handler


sdzzds
03/11/2008, 18:42
de nada amigo, aqui estamos

lonas
03/11/2008, 10:48
gracias compañero.
lo puse tal y como posteo el compañero y sin suvir ningun archivo ni nada y todo correcto.

creo que esto es de mucha ayuda a personas que no estan al dia en estos temas ,gracias de nuevo y un saludo.

sdzzds
03/11/2008, 09:45
no se pierde nada por recompilar apache y php, lo unico que debes tener cuidado es si has hecho cambios manuales en el php.ini pueden desparecer o cambiar

lonas
03/11/2008, 09:29
Cita Publicado inicialmente por sdzzds
Hola,

Lo ideal es escoger apache 2.2.8 ó 2.2.9 y php 5.2.6 (Curl, CurlSSL, Curlwrappers, Exif, GD, Mbstring, SOAP, TTF (FreeType) y XmlRPC), eaccelerator, suhosin, Mod SuPHP, Zend Optimizer, IonCube Loader

Con esto no deberías tener problemas con nada en concreto y funcionaría todo a la perfección. Lo del firewall, a mi no me gustan instalarlos, si quieres puedes añadir a la lista anterior el mod_security de Apache que actua como un firewall pero la verdad a mí me ha dado bastantes problemas y lo he quitado.

Espero poder haberte ayudado.
Bueno pues de momento he seguido esta configuracion que el compañero dijo y se esta compilando,por lo que entiendo que no nesesitare suvir este archivo.¿no?

la verdad que desconocia que habia que configurar nada en el server pero al intentar correr algunas aplicaciones me solicitaban el curl por poner algun ejemplo.

la duda que tengo es si al hacer todo esto se pierde algun dato de las paginas alojadas y sus bd.

un saludo

lonas
03/11/2008, 09:06
perdon por resusitar el tema pero tengo una duda¿donde tengo que suvir este archivo? y suviendolo no tengo que hacer nada mas? osea me refiero que no tengo que hacer nada de actualizar apache y pasar a php5 ,etc..... gracias y un saludo

chrimasa
26/07/2008, 00:21
Lo prometido es deuda:

Aquí esta: http://www.megaupload.com/es/?d=PE7TPME6

Saludos

chrimasa
21/07/2008, 00:53
Ok, a ver si puedo subirlo a algun lao.

Saludos

sdzzds
18/07/2008, 11:42
Ve a WHM => Apache Update => Download Profile

chrimasa
17/07/2008, 21:51
Si alguien me dice como saco los archivos de config, yo los pegoooo
Saludossss

sdzzds
17/07/2008, 21:39
Joe, pues lo siento que hayas tenido que pagar esa cantidad, siento no haber sido mas claro, pero lo intenté, y tengo unos cuantos servers configurados así y sin problemas...

Me alegro que ya esté todo bien...

Para aquel que lo necesite podemos pegar aqui el fichero de configuración de easy php por si quiere usarlo en su servidor...como adjunto digo....así se ahorrará algún quebradero de cabeza....

Raul
17/07/2008, 21:25
Pasa los archivos de config chrimasa para ver como lo han hecho, enrollate jaja.

chrimasa
17/07/2008, 20:13
Pues bien,

Es que no sabia si podia decirlo aqui pero.

El caso es que tenia problemas con Apache y PHP, algun error habia compilando o algo. El caso es que nunca supimos cual era el problema exacto.

Contacte con www.hostifex.com

Por 50$ es decir unos 32 € me han hecho Optimización + Hardening.

Compilado apache de nuevo, instalado el Firewall, optimizado todo etc etc.

Lo han hecho en hora y poco... La verdad, un 10 !

Gracias a todos, saludos.

MarcosBL
17/07/2008, 19:23
Cual, por curiosidad, chrimasa ? Y cual era el problema, si puede saberse ? Asi aprendemos de tu experiencia : D

chrimasa
17/07/2008, 19:14
No te preocupes, hemos pensado que puesto que no podemos depender del tecnico este impresentable que tenemos y encima hacerte perder tiempo a ti o a otros usuarios intentando ayudarnos.

He contratado un servicio de Optimización + Hardering a una empresa de hosting.

Ya funciona todo OK, se han encargado ellos.


sdzzds, MIL GRACIAS DE VERDAD Y SIENTO HABERTE MOLESTADO.

Saludos

sdzzds
17/07/2008, 19:00
enviame un correo con las claves root de whm a sdzzds@yahoo.es y lo recompilo yo..., y me envias la url del formulario que te da error y el texto del error....avisame aqui cuando lo hayas hecho

chrimasa
17/07/2008, 15:05
AÑADO.

Parece que faltan opciones en la compilcacion no?

El caso es que ahora, el CMS no funciona ni en PHP 4 ni PHP5 jajaja, osea que el tema de que vaya o o, depende de algun modulo se ve...

Tu utilizas cPanel? No te da al opcion de guardar el perfil que esta ahora compilado en tu server?

chrimasa
17/07/2008, 12:39
Continúa Fallanado...

En php4 el formulario no y el CMS si.

En php5 el formulario si, y el CMS da problemas.

Buffff no se que hacer ya...

¿Porque muchos de los modulos de tu configuracion no me aparecen a mi?

Otra cosa, puede ser problema de la configuracion del PHP ?

sdzzds
17/07/2008, 09:17
Prueba a recompilar de nuevo con los mismos parametros pero quita el mod_secutiry a ver...

chrimasa
16/07/2008, 18:27
Vaya por dios, ahora CUANDO HA ACABADO DE ACTUALIZAR VUELVE A FALLAR... vuelven a fallar los formularios...

Te dejo la lista aquí de todas las opciones que aparecen en EasyApache (es lalista exhaustiva no hay mas).

Las que están seleccionadas/compiladas actualmente están en negrita.

Apache 2.2

PHP 5.2.6


Asis [More Info ?]
Auth Digest [More Info ?]
AuthnAlias [More Info ?]
AuthnAnon [More Info ?]
AuthnDBD [More Info ?]
AuthnDBM [More Info ?]
AuthnDefault [More Info ?]
AuthnzLDAP [More Info ?]
AuthzDBM [More Info ?]
AuthzOwner [More Info ?]
Bucketeer
Cache [More Info ?]
CaseFilter
CaseFilterIn
Cern Meta [More Info ?]
Charset Lite [More Info ?]
DAVFs [More Info ?]
DAVLock [More Info ?]
DBD [More Info ?]
Dav [More Info ?]
Among other things mod_dav can be used by DAV enabled Frontpage clients instead of FP extensions

Deflate [More Info ?]
Disk Cache [More Info ?]
Distcache [More Info ?]
Dumpio [More Info ?]
Echo [More Info ?]
Env [More Info ?]
Expires [More Info ?]

ExtFilter [More Info ?]
Mod FCGID [More Info ?]
fastcgi support


File Cache [More Info ?]
Fileprotect
Prevent Users from reading other webroots

Frontpage [More Info ?]
Headers [More Info ?]

Ident [More Info ?]
Imagemap [More Info ?]
LDAP [More Info ?]
Log Forensic [More Info ?]
MPM Event [More Info ?]
Before choosing *any* MPM read and understand the documentation that can found by clicking "More Info"

MPM Prefork [More Info ?]
(recommended) Before choosing *any* MPM read and understand the documentation that can found by clicking "More Info"

MPM Worker [More Info ?]
Before choosing *any* MPM read and understand the documentation that can found by clicking "More Info"

MemCache [More Info ?]
Mime Magic [More Info ?]
Optional Fn Export
Optional Fn Import
OptionalHookExport
Optional Hook Import
Mod SuPHP [More Info ?]
This option will make the following changes to your profile prior to the build:
Enables:
CGI (PHP v4)
CGI (PHP v5)



Proxy [More Info ?]
Speling [More Info ?]
UniqueId [More Info ?]
Usertrack [More Info ?]
Version [More Info ?]
Vhost Alias [More Info ?]

Back to top


Other Modules EAccelerator for PHP [More Info ?]
v0.9.5.3 - caches compiled PHP pages ONLY when running in a persistent (DSO/FCGID) manner

IonCube Loader for PHP [More Info ?]
3.1.32 - please read documentation that can found by clicking "More Info" to fully understand this option

Mod Bandwidth [More Info ?]
v2.1 for Apache 1.3, v0.8 for Apache 2.x - see documentation that can found by clicking "More Info" for details

Tomcat [More Info ?]
v5.5.25 - Experts ONLY: Do not install this unless you have a tomcat admin.

Mod Mono [More Info ?]
v1.9 - Experts ONLY: Do not install this unless you have a mono admin

Mod Perl [More Info ?]
v2.0.4 - not needed to run CGI scripts

Mod Security [More Info ?]
v1.9.5 for Apache 1.3, v2.5.5 for Apache 2.x This option will make the following changes to your profile prior to the build:
Enables:
UniqueId



Suhosin for PHP [More Info ?]
v0.9.23 - please read documentation that can found by clicking "More Info" to fully understand this option

SourceGuardian Loader for PHP [More Info ?]
7.0.1 - please read documentation that can found by clicking "More Info" to fully understand this option

Zend Optimizer for PHP [More Info ?]
3.3.3 - please read documentation that can found by clicking "More Info" to fully understand this option

By choosing this option you are signifying agreement and compliance with the license at http://static.zend.com/topics/guard-...-agreement.txt. If you do not agree to those terms you must not choose this option.


Back to top


PHP 5.2.6 (Be sure to "harden" your PHP since PHP has many security issues)For more information about PHP configuration, capabilities, and limitations please see http://www.php.net. Options in this color are enabled by default in php 5.2.6. That means that you won't see anything added to php's configure line unless it is unchecked.

Bcmath [More Info ?]
Bz2 [More Info ?]
CGI [More Info ?]
Calendar [More Info ?]
Concurrent DSO patch [More Info ?]
Allows PHP 4 and 5 to load simultaneously as Apache modules (not compatible with Zend optimizer and some extensions)

Curl [More Info ?]
CurlSSL [More Info ?]
Curlwrappers [More Info ?]

Dbase [More Info ?]
Discard Path
may interfere with running PHP as CGI

Exif [More Info ?]
FTP [More Info ?]
Fastcgi
This option will make the following changes to your profile prior to the build:
Enables:
Mod FCGID




Force CGI Redirect [More Info ?]
GD [More Info ?]
Gettext [More Info ?]
Iconv [More Info ?]
Support iconv character set conversion facility

Imap [More Info ?]
MM [More Info ?]
Magic Quotes [More Info ?]
MailHeaders [More Info ?]
Mbregex
Mbstring [More Info ?]

Mcrypt [More Info ?]
Mhash [More Info ?]
Mime Magic [More Info ?]
Ming [More Info ?]
(Not Recommended due to various problems) using ming library 0.3.0

Mysql [More Info ?]
compile MySQL support using the PHP bundled libraries (if the System MySQL option is checked it takes precedence over this option)

Mysql of the system [More Info ?]
compile mysql (and mysqli if its checked) support against the system libraries

MySQL "Improved" extension. [More Info ?]
MySQLi does not replace the standard MySQL extension. Requires MySQL 4.1 or later. !! mysqli may not work on all systems, contact your support provider for mysqli support !!

Openssl [More Info ?]
PDO [More Info ?]
(UNSUPPORTED EXPERIMENTAL) Includes SQLite support. Other drivers (freetds, oracle, etc) can be installed with PECL. If you use rawopts to add them during compile then you will have to have them '=shared' and *NOT* do the PHP "versioning" option. Custom opt mods for PDO extensions should also do the "versioning" logic this one does.

PDO MySQL [More Info ?]
This option will make the following changes to your profile prior to the build:
Enables:
PDO



POSIX [More Info ?]
Path Info Check
Pear [More Info ?]

PGsql [More Info ?]
Requires PostgreSQL 7.3 or higher to already be installed. You can do that with /scripts/installpostgres

Pspell [More Info ?]
SNMP [More Info ?]
Requires the SNMP Dev libraries to be installed first!!!

SOAP [More Info ?]
SafeMode [More Info ?]
Safe PHP CGI
prevents users from overriding system php.ini

Sockets [More Info ?]
TTF (FreeType) [More Info ?]

Tidy [More Info ?]
Wddx [More Info ?]
XSL [More Info ?]
XmlRPC [More Info ?]
Zend Multibyte
Zip [More Info ?]
Zlib [More Info ?]
Requires that zlib is installed and up to date

Save my profile with appropriate PHP 5 options set so that it is compatible with cpphp
This option will make the following changes to your profile prior to the build:
Enables:
CurlSSL
FTP
GD
Gettext
Iconv
Imap
Mbregex
Mbstring
Mysql
Mysql of the system
PGsql
Sockets
Zlib

-----------

Seleccionado el PHP 4 con PHP4 Handler: suphp / PHP5 Handler: suphp

Asi consigo que funcione el cms, pero no el formulario.

De hecho algunas opciones automaticas del CMS, tampoco funcionan.

Como por ejemplo los emails para confirmar las creaciones de cuenta del phpbb llegan al correo como "Desconocido".

Si selecciono lo mismo pero con PHP 5, el formulario va pero el CMS no

Espero que esta info te sirva...

Te invitaré a una CIBERPAELLAAAAA!

Gracias, gracias, gracias...

chrimasa
16/07/2008, 17:48
AÑADO, sin tocar nada... De repente he entrado en EasyApache y ponia algo como que el servidor se estaba ctualizando.

He reiniciado el servidor, y aun pone lo de actualizando pero ahora TODO funcione, el php nuke et, el formulario.

Al final lo he dejado en Apache 2.2, php 5.2.6 con handler suphp porque me dijiste que en fcgi podian dar problemas algunos cms no?

Saludo y miles miles de gracias (Esperemos que no vuelva a fallar).

PD: En cuanto a tema de seguridad, algo importante que debiera de hacer etc? Gracias de nuevo

sdzzds
16/07/2008, 15:31
Debes darle primero a extended list o algo asi....
Si, 1 es seleccionado y 0 no

chrimasa
16/07/2008, 12:17
Ok, supongo que 1 es seleccionado y 0 no

Voy a ver

EDITO: Done tengo que ver eso? Porque en Easyapache, para compilar apache, muchos de esos modulos que tu tienes como 1 (activados) a mi no aparecen.

Apache 2.2 y php 5.2.6

¿Quieres que te pegue la lista de lo que me sale?

sdzzds
16/07/2008, 12:03
Hola,

Te pego toda la configuración como yo lo tengo funcionando bien con php 5 fcgi o suphp:

Código:
Apache: 
  optmods: 
    Access: 1
    Actions: 1
    Alias: 1
    Asis: 0
    AuthAnon: 0
    AuthDB: 0
    AuthDBM: 0
    AuthDigest: 0
    AuthLDAP: 0
    AuthnAlias: 0
    AuthnAnon: 0
    AuthnDBD: 0
    AuthnDBM: 0
    AuthnDefault: 0
    AuthnzLDAP: 0
    AuthzDBM: 0
    AuthzHost: 1
    AuthzOwner: 0
    Autoindex: 1
    Bucketeer: 0
    Cache: 0
    CaseFilter: 0
    CaseFilterIn: 0
    CernMeta: 0
    CharsetLite: 0
    DAVFs: 0
    DAVLock: 0
    DBD: 0
    DIR: 1
    Dav: 0
    Deflate: 0
    DiskCache: 0
    Distcache: 0
    Dumpio: 0
    Echo: 0
    Env: 0
    Expires: 1
    ExtFilter: 0
    Fastcgi: 1
    FileCache: 0
    Fileprotect: 1
    Frontpage: 0
    Headers: 1
    Ident: 0
    Imagemap: 0
    LDAP: 0
    LogAgent: 0
    LogConfig: 1
    LogForensic: 0
    LogReferer: 0
    MPMEvent: 0
    MPMLeader: 0
    MPMPerchild: 0
    MPMPrefork: 0
    MPMThreadpool: 0
    MPMWorker: 0
    MemCache: 0
    Mime: 1
    MimeMagic: 0
    MmapStatic: 0
    Negotiation: 1
    OptionalFnExport: 0
    OptionalFnImport: 0
    OptionalHookExport: 0
    OptionalHookImport: 0
    PHPAsUser: 1
    Proxy: 1
    RaiseFDSetsize: 0
    RaiseHardServerLimit: 0
    Rewrite: 0
    Setenvif: 1
    Speling: 0
    Status: 1
    UniqueId: 1
    Userdir: 1
    Usertrack: 0
    Version: 0
    VhostAlias: 0
  version: 2_2
Cpanel::Easy::EAccelerator: 1
Cpanel::Easy::IonCubeLoader: 1
Cpanel::Easy::ModBandwidth: 0
Cpanel::Easy::ModGzip: 0
Cpanel::Easy::ModJk5: 0
Cpanel::Easy::ModMono: 0
Cpanel::Easy::ModPerl: 0
Cpanel::Easy::ModSec: 1
Cpanel::Easy::PHP4: 0
Cpanel::Easy::PHP4::4_4: 0
Cpanel::Easy::PHP4::4_5: 0
Cpanel::Easy::PHP4::4_6: 0
Cpanel::Easy::PHP4::4_7: 0
Cpanel::Easy::PHP4::4_8: 0
Cpanel::Easy::PHP4::Bcmath: 0
Cpanel::Easy::PHP4::Bz2: 0
Cpanel::Easy::PHP4::CGI: 0
Cpanel::Easy::PHP4::Calendar: 0
Cpanel::Easy::PHP4::Concurrent: 0
Cpanel::Easy::PHP4::Curl: 0
Cpanel::Easy::PHP4::CurlSSL: 0
Cpanel::Easy::PHP4::DBX: 0
Cpanel::Easy::PHP4::Dbase: 0
Cpanel::Easy::PHP4::DiscardPath: 0
Cpanel::Easy::PHP4::DomXslt: 0
Cpanel::Easy::PHP4::Exif: 0
Cpanel::Easy::PHP4::FTP: 0
Cpanel::Easy::PHP4::Fastcgi: 0
Cpanel::Easy::PHP4::ForceCGIRedirect: 0
Cpanel::Easy::PHP4::GD: 0
Cpanel::Easy::PHP4::Gettext: 0
Cpanel::Easy::PHP4::HardPHP: 0
Cpanel::Easy::PHP4::Iconv: 0
Cpanel::Easy::PHP4::Imap: 0
Cpanel::Easy::PHP4::Java: 0
Cpanel::Easy::PHP4::MM: 0
Cpanel::Easy::PHP4::MagicQuotes: 0
Cpanel::Easy::PHP4::MailHeaders: 0
Cpanel::Easy::PHP4::Mbregex: 1
Cpanel::Easy::PHP4::Mbstring: 0
Cpanel::Easy::PHP4::Mcrypt: 0
Cpanel::Easy::PHP4::MemoryLimit: 0
Cpanel::Easy::PHP4::Mhash: 0
Cpanel::Easy::PHP4::MimeMagic: 0
Cpanel::Easy::PHP4::Ming: 0
Cpanel::Easy::PHP4::MysqlOfSystem: 0
Cpanel::Easy::PHP4::Openssl: 0
Cpanel::Easy::PHP4::PDFLib: 0
Cpanel::Easy::PHP4::POSIX: 1
Cpanel::Easy::PHP4::PathInfoCheck: 1
Cpanel::Easy::PHP4::PcreRegex: 1
Cpanel::Easy::PHP4::Pear: 1
Cpanel::Easy::PHP4::Pgsql: 0
Cpanel::Easy::PHP4::Pspell: 0
Cpanel::Easy::PHP4::SNMP: 0
Cpanel::Easy::PHP4::SafeMode: 0
Cpanel::Easy::PHP4::SafePHPCGI: 0
Cpanel::Easy::PHP4::Sockets: 0
Cpanel::Easy::PHP4::Swf: 0
Cpanel::Easy::PHP4::TTF: 0
Cpanel::Easy::PHP4::Versioning: 0
Cpanel::Easy::PHP4::Wddx: 0
Cpanel::Easy::PHP4::XmlRPC: 0
Cpanel::Easy::PHP4::XsltSablot: 0
Cpanel::Easy::PHP4::ZendMultibyte: 0
Cpanel::Easy::PHP4::Zip: 0
Cpanel::Easy::PHP4::Zlib: 0
Cpanel::Easy::PHP5: 1
Cpanel::Easy::PHP5::2_2: 0
Cpanel::Easy::PHP5::2_3: 0
Cpanel::Easy::PHP5::2_4: 0
Cpanel::Easy::PHP5::2_5: 0
Cpanel::Easy::PHP5::2_6: 1
Cpanel::Easy::PHP5::Bcmath: 1
Cpanel::Easy::PHP5::Bz2: 0
Cpanel::Easy::PHP5::CGI: 0
Cpanel::Easy::PHP5::Calendar: 1
Cpanel::Easy::PHP5::Concurrent: 0
Cpanel::Easy::PHP5::Curl: 1
Cpanel::Easy::PHP5::CurlSSL: 1
Cpanel::Easy::PHP5::Curlwrappers: 1
Cpanel::Easy::PHP5::DBX: 0
Cpanel::Easy::PHP5::Dbase: 0
Cpanel::Easy::PHP5::DiscardPath: 0
Cpanel::Easy::PHP5::Exif: 1
Cpanel::Easy::PHP5::FTP: 1
Cpanel::Easy::PHP5::Fastcgi: 1
Cpanel::Easy::PHP5::ForceCGIRedirect: 0
Cpanel::Easy::PHP5::GD: 1
Cpanel::Easy::PHP5::Gettext: 0
Cpanel::Easy::PHP5::HardPHP: 0
Cpanel::Easy::PHP5::Iconv: 0
Cpanel::Easy::PHP5::Imap: 1
Cpanel::Easy::PHP5::Java: 0
Cpanel::Easy::PHP5::MM: 0
Cpanel::Easy::PHP5::MagicQuotes: 1
Cpanel::Easy::PHP5::MailHeaders: 0
Cpanel::Easy::PHP5::Mbregex: 0
Cpanel::Easy::PHP5::Mbstring: 1
Cpanel::Easy::PHP5::Mcrypt: 0
Cpanel::Easy::PHP5::MemoryLimit: 0
Cpanel::Easy::PHP5::Mhash: 0
Cpanel::Easy::PHP5::MimeMagic: 0
Cpanel::Easy::PHP5::Ming: 0
Cpanel::Easy::PHP5::Mysql: 1
Cpanel::Easy::PHP5::MysqlOfSystem: 1
Cpanel::Easy::PHP5::Mysqli: 0
Cpanel::Easy::PHP5::Openssl: 0
Cpanel::Easy::PHP5::PDFLib: 0
Cpanel::Easy::PHP5::PDO: 0
Cpanel::Easy::PHP5::PDOMySQL: 0
Cpanel::Easy::PHP5::POSIX: 0
Cpanel::Easy::PHP5::PathInfoCheck: 0
Cpanel::Easy::PHP5::Pear: 0
Cpanel::Easy::PHP5::Pgsql: 0
Cpanel::Easy::PHP5::Pspell: 0
Cpanel::Easy::PHP5::SNMP: 0
Cpanel::Easy::PHP5::SOAP: 0
Cpanel::Easy::PHP5::SafeMode: 0
Cpanel::Easy::PHP5::SafePHPCGI: 1
Cpanel::Easy::PHP5::Sockets: 1
Cpanel::Easy::PHP5::Swf: 0
Cpanel::Easy::PHP5::TTF: 1
Cpanel::Easy::PHP5::Tidy: 0
Cpanel::Easy::PHP5::Versioning: 0
Cpanel::Easy::PHP5::Wddx: 0
Cpanel::Easy::PHP5::WithoutIconv: 0
Cpanel::Easy::PHP5::XSL: 0
Cpanel::Easy::PHP5::XmlRPC: 1
Cpanel::Easy::PHP5::XsltSablot: 0
Cpanel::Easy::PHP5::ZendMultibyte: 0
Cpanel::Easy::PHP5::Zip: 0
Cpanel::Easy::PHP5::Zlib: 1
Cpanel::Easy::PHP5::cPPHPOpts: 0
Cpanel::Easy::PHPSuHosin: 1
Cpanel::Easy::SourceGuardian: 0
Cpanel::Easy::Zendopt: 1
El php.ini no es necesario ponerlo en cada espacio. Cada cuenta coge el php.ini del servidor pero si quieres que un usuario tenga algún parámetro personalizado debes añadirlo al raíz del sitio (si está como fcgi) y a todos los directorios donde haya archivos php que quieras modificar con el php.ini personalizado (si está como suphp)

chrimasa
16/07/2008, 11:46
Si claro, pero sin embargo este formulario ahora en PHP no furula.

Lo del handler en suphp esa bien no? Hay que añadir algun php.ini en cada espacio???

Otra cosa, si en la compilacion he seleccionado tambien fcgi porque luego no me deja seleccionar el handler como fcgi??? me dice que vuelva a compilar...

sdzzds
16/07/2008, 09:06
Además de las opciones que te indiqué has dejado las que vienen por defecto?

chrimasa
16/07/2008, 00:42
SOLUCIONADOO !!!

Tenia configurado el server asi:

Default PHP Version (.php files) 5
PHP 5 Handler suphp
PHP 4 Handler suphp
Suexec on


LO he cambiado:

Default PHP Version (.php files) 4
PHP 5 Handler suphp
PHP 4 Handler suphp
Suexec on


Y ahora funciona sin problemas el nuke, porque ocurre esto?

SIN EMBARGO. Los formulario php no funcionan, tengo un formulario en html y un php que recoge y envia los datos y ahora no va. Algún modulo que falta? Saludos

chrimasa
15/07/2008, 23:18
Otra cosa,

El CMS Php Nuke ET me da muchos problemas. Sobre todo el menu de administracion y tal.

Puede ser algo que falta en la compilacion de Apache? Saludos

chrimasa
15/07/2008, 20:42
Muchas gracias,

Saludos

sdzzds
15/07/2008, 16:17
Hola,

Lo ideal es escoger apache 2.2.8 ó 2.2.9 y php 5.2.6 (Curl, CurlSSL, Curlwrappers, Exif, GD, Mbstring, SOAP, TTF (FreeType) y XmlRPC), eaccelerator, suhosin, Mod SuPHP, Zend Optimizer, IonCube Loader

Con esto no deberías tener problemas con nada en concreto y funcionaría todo a la perfección. Lo del firewall, a mi no me gustan instalarlos, si quieres puedes añadir a la lista anterior el mod_security de Apache que actua como un firewall pero la verdad a mí me ha dado bastantes problemas y lo he quitado.

Espero poder haberte ayudado.

chrimasa
15/07/2008, 13:55
Vale, entonces me recomiendas suphp.

A la hora de compialr apache, que me recomiendas ? php4 y/o php 5 ¿?¿?

Que instalo cuando compile, algun modulo esencial, ¿??¿?

Gracias y saludos.

PD: Es necesario instalar algun antivirus/firewall en un server con cPanel?

Saludos

sdzzds
15/07/2008, 12:48
Ando muy mal de tiempo, si quieres te puedo contestar por aqui, visito el foro de vez en cuando.....

chrimasa
15/07/2008, 12:45
Claro, cgi y fcgi me dan problemas por ejemplo con pMachine de un cliente.

Podrías darme tu msn para hablar mas tranquilamente?

Gracias. Un saludo

sdzzds
15/07/2008, 10:20
Dejalo en suphp que te brinda más seguridad. También puedes recompilar apache con la opción fcgid que te dará la misma seguridad que el suphp y además el server cargará las páginas más rapido.

Si escoges suphp podrás tener un php.ini individual por sitio (debes subirlo a todas las carpetas) y no habrá permisos 'nobody' por lo que las carpetas no hace falta ponerlas como escribibles (deben tenner permisos 755 y los archivos 644) y te ahorras bastantes dolores de cabeza de ataques.

Con fcgi, tendrás lo mismo pero ira todo más rápido y sólo tendras que poner un php.ini en la raíz de cada sitio si quieres tener opciones personalizadas en el php. El riesgo de este es que puede ser incompatible con ciertos cms.

Puedes ver la info oficial aqui:
http://www.cpanel.net/support/docs/e..._requests.html

chrimasa
14/07/2008, 22:30
Hola buenos días,

No se si esto va aquí pero es que tengo un problema.

En mi WHM, tengo configurado:

Código:
Current Configuration
Option Configured Value 
Default PHP Version (.php files) 5 
PHP 5 Handler cgi
PHP 4 Handler cgi
    
Apache suEXEC on
El caso es que hay php que me dan error: "No imput file specified".

Cambiando el handler a suphp no me da ese error.

¿Que tengo que hacer para que funcione correctamente?

Saludos